乘风原创程序

  • 安装scikit_image==0.9.3全屏红问题解决
  • 2021/2/23 10:53:54
  • #error Do not use this file, it is the result of a failed Cython compilation.
    ^
    error: Command “gcc -pthread -B /home/luchengyu/anaconda3/envs/dupe/compiler_compat -Wl,–sysroot=/ -Wsign-compare -DNDEBUG -g -fwrapv -O3 -Wall -Wstrict-prototypes -fPIC -I/home/xx/anaconda3/envs/dupe/lib/python3.6/site-packages/numpy/core/include -I/home/xx/anaconda3/envs/dupe/lib/python3.6/site-packages/numpy/core/include -I/home/xx/anaconda3/envs/dupe/include/python3.6m -c skimage/morphology/ccomp.c -o build/temp.linux-x86_64-3.6/skimage/morphology/ccomp.o” failed with exit status 1

    ERROR: Failed building wheel for scikit-image
    Running setup.py clean for scikit-image
    Failed to build scikit-image
    Installing collected packages: scikit-image
    Running setup.py install for scikit-image … /
    安装scikit_image==0.9.3全屏红问题解决

    可以看到 #error Do not use this file, it is the result of a failed Cython compilation.,从https://pypi.org/simple/scikit-image/下载scikit_image==0.9.3的包scikit-image-0.9.3.tar.gz
    https://files.pythonhosted.org/packages/71/e7/881fa2b6195141a2b91035b63ff78a6f11c5dbec5d39b012e9fadc193a95/scikit-image-0.9.3.tar.gz#sha256=2c29c65aacdfc056efd0a3b713b5dde666356ffb39e5e2bad3e0d6dbb62524b3
    可以在scikit-image-0.9.3\requirements.txt中看到cython>=0.17的要求,pip安装cython=0.17即可解决问题

    本文地址:https://blog.csdn.net/weixin_45454214/article/details/113990652